Subject: Re: [PATCH] Make sure an autogenerated version has at least four parts

From: Jan Hudec <[email-masked]>
Date: Mon, 21 May 2007 21:57:45 +0200

On Mon, May 21, 2007 at 09:36:50 +0200, Martin Waitz wrote:
> hoi :)
> 
> On Mon, May 21, 2007 at 02:52:21PM +1200, Sam Vilain wrote:
> > Otherwise, a custom "v1.5.2.42.gd00b" is considered newer than a
> > "v1.5.2.1.69.gcafe".
> 
> or just use git describe output without replacing "-" with "."?

That depends on what rules you use to compare versions. Under dpkg ones it
would. I don't know what eg. rpm uses. (Note: - is BEFORE . in asciibet).

-- 
						 Jan 'Bulb' Hudec <[email-masked]>